<script lang="ts">
	import type { RoomStatus } from '$lib/types';
	import { divisionEntiere, getRoomStatusInt } from '$lib/utils';
	import { onMount } from 'svelte';

	export let status: number = 0;

	let widthClass: string = '';

	onMount(() => {
		if (itemWidth) {
			widthClass = 'left-[calc(50%-' + divisionEntiere(true, itemWidth, 2) + 'px)]';
		} else {
			widthClass = 'left-1/4';
		}
	});

	let bgColor: string = '';
	$: switch (status) {
		case 0:
			bgColor = 'bg-error-500';
			break;
		case 1:
			bgColor = 'bg-success-400';
			break;
		case 2:
			bgColor = 'bg-cancelled-300';
			break;
		default:
			bgColor = 'bg-primary-500';
			break;
	}

	let itemWidth: number = 0;
</script>

<div
	class={`absolute top-0 left-0 p-2 rounded-br-lg rounded-tl-lg border border-primary-500 font-bold ${bgColor}`}
	bind:clientWidth={itemWidth}
>
	{getRoomStatusInt(status)}
</div>
